Bug 88550 - Acer 351tev fails loading trident.o module
Acer 351tev fails loading trident.o module
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-10 16:24 EDT by Need Real Name
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-14 14:09:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-04-10 16:24:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; it-IT; rv:1.2.1) Gecko/20030225

Description of problem:
This problem have been introduced by RedHat 9. Previous versions (7.3, 8, 8.1)
were not affected).
The installer declares that the Audio card onboard my Acer 351tev is probably
not compatible with RedHat Linux.
Here are the details of what happens:

[root@laika root]# lspci
00:00.0 Host bridge: ALi Corporation M1621 (rev 01)
00:01.0 PCI bridge: ALi Corporation PCI to AGP Controller (rev 01)
00:06.0 Multimedia audio controller: ALi Corporation M5451 PCI AC-Link
Controller Audio Device (rev 01)
00:07.0 ISA bridge: ALi Corporation M1533 PCI to ISA Bridge [Aladdin IV]
00:0a.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100] (rev 08)
00:0b.0 FireWire (IEEE 1394): Texas Instruments TSB43AA22 IEEE-1394 Controller
(PHY/Link Integrated) (rev 02)
00:10.0 IDE interface: ALi Corporation M5229 IDE (rev c3)
00:11.0 Bridge: ALi Corporation M7101 PMU
00:13.0 CardBus bridge: O2 Micro, Inc. OZ6933 Cardbus Controller (rev 02)
00:13.1 CardBus bridge: O2 Micro, Inc. OZ6933 Cardbus Controller (rev 02)
00:14.0 USB Controller: ALi Corporation USB 1.1 Controller (rev 03)
01:00.0 VGA compatible controller: Trident Microsystems CyberBlade/i1 (rev 5d)
[root@laika root]#

This comes from /var/log/messages after I try a modprobe for the trident.o module:

Apr 10 21:10:27 laika kernel: Trident 4DWave/SiS 7018/ALi 5451,Tvia CyberPro
5050 PCI Audio, version 0.14.10h, 18:00:09 Mar 13 2003
Apr 10 21:10:27 laika kernel: PCI: Guessed IRQ 10 for device 00:06.0
Apr 10 21:10:27 laika kernel: trident: ALi Audio Accelerator found at IO 0x9000,
IRQ 10
Apr 10 21:10:27 laika kernel: ALi 5451 did not come out of reset.
Apr 10 21:10:27 laika kernel: trident_ac97_init: error resetting 5451.
Apr 10 21:10:27 laika insmod:
/lib/modules/2.4.20-8/kernel/drivers/sound/trident.o: init_module: No such device
Apr 10 21:10:27 laika insmod: Hint: insmod errors can be caused by incorrect
module parameters, including invalid IO or IRQ parameters.       You may find
more information in syslog or the output from dmesg
Apr 10 21:10:27 laika insmod:
/lib/modules/2.4.20-8/kernel/drivers/sound/trident.o: insmod sound-slot-0 failed

Same problem have been detected on 2.4.21-pre3. Alan Cox declares it solved on
2.4.21-pre3-ac.
http://groups.google.it/groups?hl=it&lr=&ie=UTF-8&oe=UTF-8&threadm=20030111163009%245e4a%40gated-at.bofh.it&rnum=1&prev=/groups%3Fq%3DM5451%2Birq%2Bmodprobe%26hl%3Dit%26lr%3D%26ie%3DUTF-8%26oe%3DUTF-8%26selm%3D20030111163009%25245e4a%2540gated-at.bofh.it%26rnum%3D1

Best Regards,
Alain De Carolis

Version-Release number of selected component (if applicable):
kernel-2.4.20-8

How reproducible:
Always

Steps to Reproduce:
1. Boot your machine
2. Try to load the trident.o module
    

Actual Results:  The module does not load

Expected Results:  The module should have loaded

Additional info:

It only happens on RH9. Other versions were just fine.
Comment 1 Arjan van de Ven 2003-05-14 14:09:44 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-172.html

Note You need to log in before you can comment on or make changes to this bug.